This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 102541 - Missing information in Appendix A
Missing information in Appendix A
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandra Moore
John Ha
: FutureFeature
Depends On:
Blocks: 89387 123819
  Show dependency treegraph
 
Reported: 2003-08-16 23:48 EDT by Owen T. Stevens
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Owen T. Stevens 2003-08-16 23:48:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
/usr/src/linux-2.4/.config is easy to delete with an errant make mrproper. It is
tedious to recreate this file and unnecessary when building a custom kernel.
The guide should therefore include this information:
A2, Steps 3-4: Add the following:
The .config file also exists in /boot and can be copied into /usr/src/linux-2.4
after make mrproper has been executed. Then run make xconfig, select 'Load
configuration from  file', choose the newly copied .config file, save and exit.
The proceed normally with make dep. (step 5)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Accidentally delete .config file from /usr/src/linux-2.4 with make mrproper
2. Read Customization Guide

    

Actual Results:  The guide does not address the issue.

Expected Results:  The guide would address this issue.

Additional info:
Comment 1 Owen T. Stevens 2003-08-17 00:10:47 EDT
make xconfig appears to be broken in this regard. When loading a .config file
with make xconfig, make bzImage later fails with:
> fs/fs.o: In function `mnt_init':
> fs/fs.o(.text.init+0x94c): undefined reference to `init_rootfs'
make oldconfig works fine though...
Comment 2 Tammy Fox 2004-02-27 00:44:19 EST
Changing owner to new owner
Comment 3 Andrius Benokraitis 2005-02-01 17:28:49 EST
Owen,

Thanks for your comments in this matter! For the upcoming release of
the RHEL4 SAG, the Documentation team is following the lead of Red Hat
Global Support Services, that state that custom built kernels are not
officially supported by Red Hat, and therefore cannot be officially
documented.

Although official Red Hat documentation will no longer have this
information, the Red Hat KBASE system will tentatively continue having
it, as well as other Fedora-related documentation websites.

Please do not hesitate to contact me directly, or in this bug! :-)

Andrius.

Note You need to log in before you can comment on or make changes to this bug.